aboutsummaryrefslogtreecommitdiff
path: root/debian/preinst.ex
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2012-06-26 16:35:14 -0300
committerSilvio Rhatto <rhatto@riseup.net>2012-06-26 16:35:14 -0300
commit80dbf12dad7500caf6fb6336a68812f28e147f8f (patch)
tree1c7eeee16684af445b58830fca32f4f923530058 /debian/preinst.ex
parent80056e1a52b9528701fb265f880c819dc92641aa (diff)
downloadkeyringer-80dbf12dad7500caf6fb6336a68812f28e147f8f.tar.gz
keyringer-80dbf12dad7500caf6fb6336a68812f28e147f8f.tar.bz2
More debian specifics from dh_makedebian_keyringer_0.1-1
Diffstat (limited to 'debian/preinst.ex')
-rw-r--r--debian/preinst.ex35
1 files changed, 35 insertions, 0 deletions
diff --git a/debian/preinst.ex b/debian/preinst.ex
new file mode 100644
index 0000000..6421ff8
--- /dev/null
+++ b/debian/preinst.ex
@@ -0,0 +1,35 @@
+#!/bin/sh
+# preinst script for keyringer
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <new-preinst> `install'
+# * <new-preinst> `install' <old-version>
+# * <new-preinst> `upgrade' <old-version>
+# * <old-preinst> `abort-upgrade' <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ install|upgrade)
+ ;;
+
+ abort-upgrade)
+ ;;
+
+ *)
+ echo "preinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0